using UnityEngine;

public class StartBrieflyVisible : MonoBehaviour
{
	
	private float time;
	
	void Start()
	{
		time = 2f;
	}
	
	void FixedUpdate()
	{
		if(time > 0.01f)
		{
			time -= 0.01f;
			if(time > 1f)
				gameObject.GetComponent<TurningVisible>().SetVisiblity(1);
			if(time < 1f)
				gameObject.GetComponent<TurningVisible>().SetVisiblity(time);
		}
		else
			time = 0f;
	}
}